/* ========================================
 *
 * SHT31 test program for CY8CKIT-044
 * 
 * ========================================
*/
#include "project.h"
#include <stdio.h>
#include <string.h>
#include "i2c_utils.h"
#include "sht31.h"

char str[80] ;

void init_hardware(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    UART_Start() ;
    I2C_Start() ;
}

int main(void)
{
    uint16_t temp, hume, status ;
    float ftemp, fhume ;
    init_hardware() ;
    
    UART_UartPutString("\nSHT31 test program started!\n\n") ;
    SHT31_reset() ;
    SHT31_clear_status() ;
    SHT31_heater(0) ;
            
    for(;;) {
        SHT31_single_read(&temp, &hume) ;
        ftemp = SHT31_calc_temp_c(temp) ;
        fhume = SHT31_calc_rh(hume) ;
        CyDelay(1) ;
        SHT31_read_status(&status) ;
        sprintf(str, "\nTemp = %d.%02d, Hume = %d.%02d ",
               (int)ftemp, (int)(ftemp * 100) % 100, 
            (int)fhume, (int)(fhume * 100) %100) ;
        UART_UartPutString(str) ;  
        CyDelay(1) ;
        sprintf(str, "Status = 0x%04X\n\n", status) ;
        UART_UartPutString(str) ;
        CyDelay(1) ;
        if (status) {
            SHT31_clear_status() ;
        }
        CyDelay(1000) ;
    }
}

/* [] END OF FILE */
