/**
 * sht31.h
 * Sensirion SHT31-DIS
 * Humidity and Temperature Sensor
 */
#ifndef _SHT3X_H_
#define _SHT3X_H_
#include "project.h"

/* if ADDR (pin2) = LOW  */
#define SHT31_I2C_ADDRESS 0x44
/* if ADDR (pin2) = HIGH */
// #define SHT3X_I2C_ADDRESS 0x45

float SHT31_calc_rh(uint16_t srh) ;
float SHT31_calc_temp_c(uint16_t sc) ;
float SHT31_calc_temp_f(uint16_t sf) ;
uint8_t SHT31_calc_crc(uint16_t data) ;

int SHT31_single_read(uint16_t *temp, uint16_t *hume) ;
int SHT31_reset(void) ;
int SHT31_read_status(uint16_t *status) ;
int SHT31_clear_status(void) ;
int SHT31_heater(int on) ;
#endif /* _SHT3X_H_ */